
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>jvm GC日志解读 / iVAN</title>

    <meta name="description" content="jvm GC日志解读 0.产生日志 0.1 IDE 运行下面代码会得到gc日志. 0.2 server -Xloggc:../gclogdir/logc.txt   指定gc日志的打印位置,注意必须指定到文件,不能为目录. 当应用重启时,会产生新的gc.log,旧的gc.log自动被重命名为形如 &quot;gc.log.20161103103532&quot;这样的格式. 1.Parallel Scavenge 这是一款年轻代GC器. 293.271: [GC [PSYoungGen: 300865K-&gt;65 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">jvm GC日志解读</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>0.产生日志</h1>
<h2>0.1 IDE</h2>
<p>运行下面代码会得到gc日志。</p>
<h2>0.2 server</h2>
<p>-Xloggc:../gclogdir/logc.txt  </p>
<p>指定gc日志的打印位置，注意必须指定到文件，不能为目录。</p>
<p>当应用重启时，会产生新的gc.log，旧的gc.log自动被重命名为形如 "gc.log.20161103103532"这样的格式。</p>
<h1>1.Parallel Scavenge</h1>
<p>这是一款年轻代GC器。</p>
<pre>293.271: [GC [PSYoungGen: 300865K-&gt;6577K(310720K)] 392829K-&gt;108873K(417472K), 0.0176464 secs] [Times: user=0.06 sys=0.00, real=0.01 secs] </pre>
<p>每行是一次GC的信息，以本条为例，解读如下。<br />293.271是本次GC发生的时间，从jvm启动起开始计时，单位为秒。<br />GC表示这是一次Minor GC（新生代垃圾收集）。<br />[PSYoungGen: 300865K-&gt;6577K(310720K)] 。格式为[PSYoungGen: a-&gt;b(c)].<br />
PSYoungGen，表示新生代使用的是多线程垃圾收集器Parallel Scavenge。a为GC前新生代已占用空间，b为GC后新生代已占用空间。新生代又细分为一个Eden区和两个Survivor区,Minor GC之后Eden区为空，b就是Survivor中已被占用的空间。括号里的c表示整个年轻代的大小。<br />392829K-&gt;108873K(417472K)，格式为x-&gt;y(z)。x表示GC前堆的已占用空间，y表示GC后堆已占用空间，z表示堆的总大小。<br />
由新生代和Java堆占用大小可以算出年老代占用空间，此例中就是417472K-310720K=106752K。<br />0.0176464 secs表示本次GC所消耗的时间。<br />[Times: user=0.06 sys=0.00, real=0.01 secs] 提供cpu使用及时间消耗，user是用户态消耗的cpu时间，sys是系统态消耗的cpu时间,real是实际的消耗时间。</p>
<h1>2.Parallel Old</h1>
<p>这是Parallel Scavenge收集器的老年代版本。</p>
<pre>0.107: [Full GC (Ergonomics) [PSYoungGen: 1664K-&gt;0K(8192K)] [ParOldGen: 8200K-&gt;9739K(10240K)] 9864K-&gt;9739K(18432K), [Metaspace: 2508K-&gt;2508K(1056768K)], 0.0038104 secs] [Times: user=0.00 sys=0.00, real=0.00 secs] </pre>
<p><h1>3.CMS</h1>
<pre>2016-11-02T10:17:27.849+0800: 48234.161: [GC [1 CMS-initial-mark: 1781099K(2097152K)] 1962885K(4019584K), 0.0530810 secs] [Times: user=0.05 sys=0.00, real=0.05 secs]
2016-11-02T10:17:27.903+0800: 48234.214: [CMS-concurrent-mark-start]
2016-11-02T10:17:30.294+0800: 48236.606: [CMS-concurrent-mark: 2.384/2.391 secs] [Times: user=2.55 sys=0.04, real=2.39 secs]
2016-11-02T10:17:30.294+0800: 48236.606: [CMS-concurrent-preclean-start]
2016-11-02T10:17:30.303+0800: 48236.615: [CMS-concurrent-preclean: 0.009/0.009 secs] [Times: user=0.01 sys=0.00, real=0.01 secs]
2016-11-02T10:17:30.303+0800: 48236.615: [CMS-concurrent-abortable-preclean-start]
 CMS: abort preclean due to time 2016-11-02T10:17:35.525+0800: 48241.836: [CMS-concurrent-abortable-preclean: 5.216/5.221 secs] [Times: user=5.41 sys=0.06, real=5.23 secs]
2016-11-02T10:17:35.526+0800: 48241.837: [GC[YG occupancy: 289491 K (1922432 K)]48241.838: [Rescan (parallel) , 0.0558290 secs]48241.893: [weak refs processing, 0.0063180 secs]48241.900: [class unloading, 0.0323730 secs]48241.932: [scrub symbol &amp; string tables, 0.0297790 secs] [1 CMS-remark: 1781099K(2097152K)] 2070590K(4019584K), 0.1310790 secs] [Times: user=0.26 sys=0.00, real=0.13 secs]
2016-11-02T10:17:35.657+0800: 48241.969: [CMS-concurrent-sweep-start]
2016-11-02T10:17:36.176+0800: 48242.488: [CMS-concurrent-sweep: 0.503/0.519 secs] [Times: user=0.52 sys=0.01, real=0.52 secs]
2016-11-02T10:17:36.176+0800: 48242.488: [CMS-concurrent-reset-start]
2016-11-02T10:17:36.183+0800: 48242.495: [CMS-concurrent-reset: 0.007/0.007 secs] [Times: user=0.01 sys=0.00, real=0.00 secs] </pre>
<p>一共经历 了4个阶段。需要关注的耗时为初始标记与重新标记，低于0.2秒就没什么问题。</p>
<p>[CMS-xxx   1781099K(2097152K)] 1962885K(4019584K)，形如[CMS-xxx   a(b)] c(d)</p>
<p>a: old区占用大小</p>
<p>b: old区总大小</p>
<p>c: heap占用大小</p>
<p>d: heap 总大小</p>
<p>[YG occupancy: 289491 K (1922432 K)] ，形如 [YG occupancy: a (b)]</p>
<p>a: young区占用大小</p>
<p>b: yong区总大小</p>
<h2>3.1 CMS-initial-mark</h2>
<p>此阶段暂停工作线程，用时0.05秒。</p>
<h2>3.2 CMS-concurrent-mark</h2>
<p>与工作线程并发运行。</p>
<h2>3.3 CMS-remark </h2>
<p>此阶段暂停工作线程，用时0.13秒。</p>
<h2>3.4 CMS-concurrent-sweep</h2>
<p>与工作线程并发运行。</p>
<h1>4. -XX:+PrintTenuringDistribution -XX:+PrintHeapAtGC</h1>

<pre>2016-11-03T14:41:12.877+0800: 14740.294: [GC 14740.295: [ParNew
Desired survivor size 178946048 bytes, new threshold 16 (max 20)
- age   1:   12374344 bytes,   12374344 total
- age   2:    2538032 bytes,   14912376 total
- age   3:    2081880 bytes,   16994256 total
- age   4:     290784 bytes,   17285040 total
- age   5:     787312 bytes,   18072352 total
- age   6:     450520 bytes,   18522872 total
- age   7:     335016 bytes,   18857888 total
- age   8:     661552 bytes,   19519440 total
- age   9:    1021048 bytes,   20540488 total
- age  10:     130816 bytes,   20671304 total
- age  11:     172536 bytes,   20843840 total
- age  12:     384968 bytes,   21228808 total
- age  13:     556328 bytes,   21785136 total
- age  14:      99112 bytes,   21884248 total
- age  15:   19091864 bytes,   40976112 total
: 3551236K-&gt;58224K(3844800K), 0.0259700 secs] 5186234K-&gt;1693221K(5941952K), 0.0262100 secs] [Times: user=0.08 sys=0.00, real=0.03 secs]
Heap after GC invocations=73 (full 2):
 par new generation   total 3844800K, used 58224K [0x0000000668000000, 0x0000000768000000, 0x0000000768000000)
  eden space 3495296K,   0% used [0x0000000668000000, 0x0000000668000000, 0x000000073d560000)
  from space 349504K,  16% used [0x0000000752ab0000, 0x000000075638c030, 0x0000000768000000)
  to   space 349504K,   0% used [0x000000073d560000, 0x000000073d560000, 0x0000000752ab0000)
 concurrent mark-sweep generation total 2097152K, used 1634997K [0x0000000768000000, 0x00000007e8000000, 0x00000007e8000000)
 concurrent-mark-sweep perm gen total 274488K, used 197983K [0x00000007e8000000, 0x00000007f8c0e000, 0x0000000800000000)
}
{Heap before GC invocations=73 (full 2):
 par new generation   total 3844800K, used 3553520K [0x0000000668000000, 0x0000000768000000, 0x0000000768000000)
  eden space 3495296K, 100% used [0x0000000668000000, 0x000000073d560000, 0x000000073d560000)
  from space 349504K,  16% used [0x0000000752ab0000, 0x000000075638c030, 0x0000000768000000)
  to   space 349504K,   0% used [0x000000073d560000, 0x000000073d560000, 0x0000000752ab0000)
 concurrent mark-sweep generation total 2097152K, used 1634997K [0x0000000768000000, 0x00000007e8000000, 0x00000007e8000000)
 concurrent-mark-sweep perm gen total 274488K, used 197985K [0x00000007e8000000, 0x00000007f8c0e000, 0x0000000800000000)
</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-11 11:53:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/jvm/" title="jvm">jvm</a>, <a href="https://www.iamivan.net/tag/%e6%97%a5%e5%bf%97/" title="日志">日志</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>jvm GC日志解读的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baELxmb.html" rel="bookmark">快速解读GC日志&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是 Plumbr 发行的 Java垃圾收集手册 的部分内容.文中将介绍GC日志的输出格式, 以及如何解读GC日志, 从中提取有用的信息.我们通过 -XX:+UseSerialGC 选项,指定JVM使用串行垃圾收集器, 并使用下面的启动参数让 JVM 打印出详细的GC日志: -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+PrintGCTimeStamps 这样配置以后,发生GC时输出的日志就类似于下面这种格式(为了显示方便,已手工折行): 20			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjPvZM.html" rel="bookmark">JVM实用参数（八）GC日志</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址:https://blog.codecentric.de/en/2014/01/useful-jvm-flags-part-8-gc-logging/ 作者:PATRICK PESCHLOW,译者:Greenster 校对:梁海舰 本系列的最后一部分是有关垃圾收集(GC)日志的JVM参数.GC日志是一个很重要的工具,它准确记录了每一次的GC的执行时间和执行结果,通过分析GC日志可以优化堆设置和GC设置,或者改进应用程序的对象分配模式. -XX:+PrintGC 参数-XX:+PrintG			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NPKqz.html" rel="bookmark">WEB项目严重内存泄露－详见GC日志，谁有好的解决方法？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 一般三天就会outmemory,以上是一晚上我摘抄的部分GC输出,最下面六行是Full GC后的输出:[GC [PSYoungGen: 131072K-&gt;10667K(152896K)] 137699K-&gt;17295K(1551040K), 0.0210980 secs] [Times: user=0.06 sys=0.01, real=0.02 secs][GC [PSYoungGen: 141739K-&gt;16988K(152896K)] 148367K-&gt;23616K			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXqjnQz.html" rel="bookmark">java-关于GC日志打印，求高人解析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于GC日志打印,求高人解析 最近项目经常不正常的内存溢出,后面尝试打印了下GC日志 [CMS-concurrent-preclean: 0.348/0.351 secs] [Times: user=0.64 sys=0.02, real=0.35 secs] [CMS-concurrent-abortable-preclean: 0.054/0.054 secs] [Times: user=0.10 sys=0.00, real=0.05 secs] [GC[YG occupancy			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE4w6Jz.html" rel="bookmark">GC日志的可视化分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				GC日志的格式不够友好,人看起来很费劲.所以给大家推荐两个好用的GUI分析工具,导入gc.log即可生成图文并茂报告的界面. GC日志如何得到?推荐使用以下命令: -Xloggc:/home/admin/logs/gc.log -XX:+PrintGCDetails -XX:+PrintGCDateStamps -XX:+UseG1GC -XX:MaxGCPauseMillis=300 下文中涉及到的链接,如果打不开,请尝试翻墙. 1.GCViewer 这是一个jar,支持java 1.6(ja			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ4DW5M.html" rel="bookmark">JVM GC算法 CMS 详解&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 CMS,全称Concurrent Low Pause Collector,是jdk1.4后期版本开始引入的新gc算法,在jdk5和jdk6中得到了进一步改进,它的主要适合场景是对响应时间的重要性需求 大于对吞吐量的要求,能够承受垃圾回收线程和应用线程共享处理器资源,并且应用中存在比较多的长生命周期的对象的应用.CMS是用于对tenured generation的回收,也就是年老代的回收,目标是尽量减少应用的暂停时间,减少full gc发生的几率,利用和应用程序线程并发的垃圾回收线程来标记清			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVDw3lM.html" rel="bookmark">Java GC 日志详解（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java GC日志可以通过 +PrintGCDetails开启 以ParallelGC为例 YoungGC日志解释如下(图片源地址:这里) : FullGC(图片源地址:这里): http://blog.csdn.net/alivetime/article/details/6895537  			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAA5e2M.html" rel="bookmark">JVM致命错误日志&lpar;hs&lowbar;err&lowbar;pid&period;log&rpar;分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当jvm出现致命错误时,会生成一个错误文件 hs_err_pid&lt;pid&gt;.log,其中包括了导致jvm crash的重要信息,可以通过分析该文件定位到导致crash的根源,从而改善以保证系统稳定.当出现crash时,该文件默认会生成到工作目录下,然 而可以通过jvm参数指定生成路径(JDK6中引入): -XX:ErrorFile=./hs_err_pid&lt;pid&gt;.log 该文件包含如下几类关键信息: 日志头文件 导致crash的线程信息 所有线程信息 安全点和锁信息 堆信息 本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwxmPEb.html" rel="bookmark">JVM GC调优一则--增大Eden Space提高性能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				缘起 线上有Tomcat升级到7.0.52版,然后有应用的JVM FullGC变频繁,在高峰期socket连接数,Cpu使用率都暴增. 思路 思路是Tomcat本身的代码应该是没有问题的,有问题的可能是应用代码升级,或者环境改变了,总之Tomcat的优先级排在最后. 先把应用的heap dump下来分析下: jmap -dump:format=b,file=path pid 用IBM的Heap Analyser分析,发现dubbo rpc调用的RpcInvocation对象和taglibs的Si			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0Y58p.html" rel="bookmark" class="title">Dreamweaver批量制作网页</a>
					<div>
						dreamweaver|网页    做网站,麻烦在于更新,特别是大规模更新,工作量非常大.真不知那些创意不断而又勤奋的&quot;站长&quot;隔三岔五就将网站来个&quot;大换血&quot;是怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPgo8M.html" rel="bookmark" class="title">CSS用DIV做不规则形状的环绕文字</a>
					<div>
						css|形状 &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLvnAb.html" rel="bookmark" class="title">案例分析：婚纱摄影站如何提升用户体验</a>
					<div>
						小生最近在为一个婚纱摄影站做优化,在网上发布一些交换友链的信息于是很多人加我QQ要和我交换友链,但我写的很清楚不看PR.不看权重.不看收录.不看反链.只看站内内容和用户体验,虽然我做的也不是很好但比大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOBR8M.html" rel="bookmark" class="title">为什么Outlook收件箱无法看到新邮件而OWA的收件箱可以</a>
					<div>
						症状:用户的这个故障非常奇怪,用户报告说突然间收不到新邮件了,而发送邮件却没问题,登入OWA查看,发现收件箱里是能看到新邮件的.如图: outlook inbox里看不到有邮件: OWA中inbox里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwQ3qz.html" rel="bookmark" class="title">阿里超实用的移动WEB六大设计心法</a>
					<div>
						  相比App,移动Web成本少,实现难度低,数据追踪更全面,还能快速调整.优点非常多,随着全民宽带的提高,未来也会是一大热点,今天阿里的师尹同学总结了超多超全面的移动Web六大设计心法,特别推荐阅读 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7AkZb.html" rel="bookmark" class="title">MySql获取某个字段存在于哪个表的sql语句</a>
					<div>
						本文为大家详细介绍下通过MySql查询某个字段所在表是哪一个,具体的sql语句如下,感兴趣的朋友可以参考下,希望对大家有所帮助   复制代码 代码如下: SELECT TABLE_SCHEMA,TAB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91D8kM.html" rel="bookmark" class="title">JS特效代码--实现cool的点击式弹出菜单</a>
					<div>
						 &lt;html&gt; &lt;head&gt; &lt;title&gt;无标题文档&lt;/title&gt; &lt;meta http-equiv=&quot;Content-Type&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjqA3p.html" rel="bookmark" class="title">Excel2010更改网格线颜色教程</a>
					<div>
						Excel2010更改网格线颜色教程   Excel2010 1.打开Excel2007,点击左上角的MS Office按钮,选择&quot;Excel选项&quot; excel2010 2.在&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrRO4p.html" rel="bookmark" class="title">javascript正则表达式基础知识入门</a>
					<div>
						  很长时间没看正则表达式了,碰巧今天用到,温故知新了一把,这里记录下来,分享给大家,都是些基础的知识,重点给大家讲解的是正则表达式中4种常用的方法,50% 的举一反三练习中的原创. 正则表达式的好处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKk4Np.html" rel="bookmark" class="title">win7系统vmware虚拟机怎么修改mac地址</a>
					<div>
						  win7系统vmware虚拟机怎么修改mac地址 1.打开虚拟机,点击&quot;编辑虚拟机设置&quot;; 2.分别点击 &quot;硬件&quot;&quot;网络适配器&quot;&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k9y4z.html" rel="bookmark" class="title">浅谈合理分区</a>
					<div>
						现在很多朋友配机,硬盘的容量起码是20G.40G或者60G,有的甚至是80.100G.要合理高效地管理使用大硬盘,需要有一定的技巧.有些朋友的机子没几天就出现系统不稳定,不得不重装系统;或者需要的文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq824Zb.html" rel="bookmark" class="title">Win8共享打印机拒绝访问如何解决？</a>
					<div>
						  1.在共享打印机的计算机上,打开控制面板,单击&quot;查看设备和打印机&quot; 2.在打开的设备列表,右键单击共享的打印机,单击&quot;打印机属性&quot;,选中这台打印机 3.在& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGnvap.html" rel="bookmark" class="title">如何给图片制作透明水印</a>
					<div>
						我以网上最常见的整张照片加水印的模式为例.当然做水印的方法不只一种,软件也不只PS一个,我写在这里的是自己熟悉的方法.为了更明白地说明问题,本人发挥了自己一向说话啰嗦的缺点,图是一张接一张,有些唬人, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4268jM.html" rel="bookmark" class="title">苹果Macbook怎么编辑hosts文件</a>
					<div>
						  在Windows上修改Host是一件很简单的事情,但是换成Mac系统,很多用户就发懵了.而我们修改Hosts主要是为了可以推翻 DNS 和更改 URL与IP 地址,对于一般Mac使用者来说没什么必 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRvnrp.html" rel="bookmark" class="title">怎么解决windows7桌面小工具每次开机都要重新开启</a>
					<div>
						  1.首先在键盘按下&quot;win+r&quot;打开运行对话框,然后输入&quot;msconfig&quot;,回车打开系统配置窗口; 2.然后在打开的系统配置窗口中,切换到&quot;启动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGNaDb.html" rel="bookmark" class="title">XP系统任务栏无法显示最小化的窗口</a>
					<div>
						  问:我的所有窗口最小化后都无法显示在Windows XP的任务栏上,请问如何解决? 答:这是由于Windows XP注册表中关于任务栏的某些数据损坏或丢失所造成的.针对这个问题,国外高手Kelly ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EBakM.html" rel="bookmark" class="title">如何设置电脑虚拟内存，电脑虚拟内存设置多少最合理？</a>
					<div>
						电脑虚拟内存是为了缓解CPU运行的压力而产生的一种新技术也可以理解为把电脑硬盘分出来一部分空间当作内存来使用,今天小编就为大家讲解下如何设置电脑虚拟内存,电脑虚拟内存设置多少最合理,希望对大家有所帮助 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYR855p.html" rel="bookmark" class="title">九度 1493：公约数</a>
					<div>
						题目描述: 给定两个正整数a,b(1&lt;=a,b&lt;=100000000),计算他们公约数的个数. 如给定正整数8和16,他们的公约数有:1.2.4.8,所以输出为4. 输入: 输入包含多组测 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrYO1M.html" rel="bookmark" class="title">【ASM】ASMCMD 之md&lowbar;backup&comma;md&lowbar;restore介绍</a>
					<div>
						在11g中ASMCMD 已经拓展备份和恢复ASM 磁盘组的功能.这个功能允许你重建一个与先前存在的磁盘组一样路径,名称,属性,模版,别名结构.在10g中如果磁盘损坏了,只能通过使用RMAN来恢复丢失的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZVd7z.html" rel="bookmark" class="title">struts&plus;spring&plus;jdbc中josn从action向页面传list</a>
					<div>
						问题描述 我在action里面有一个装了对象的list 我要用josn将list传到jsp页面 请问改怎么传?我用commons-collections-3.0.jar老报java.lang.NoSu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKOGOb.html" rel="bookmark" class="title">access-&lbrack;求助&rsqb; ACCESS数据库里数字与文本的关系求助</a>
					<div>
						问题描述 [求助] ACCESS数据库里数字与文本的关系求助 一个匪夷所思的问题若把数据据库中danganbianhao字段设置成数字型这个检测是否重复的代码就一致提示无重复但是的确有重复的只要把这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZB3qz.html" rel="bookmark" class="title">阿里云在悉尼建立数据中心，迈向云计算新蓝海</a>
					<div>
						11月28日,阿里云宣布在悉尼建设一个新的数据中心,以像Amazon.Microsoft.Google等公司一样扩大其在全球云计算市场的足迹,阿里云还打算扩大其在悉尼和墨尔本两地的团队规模. 11月2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKWAZz.html" rel="bookmark" class="title">有关ASP的一些常见问题（一）</a>
					<div>
						1.我想在ASP中从后台自动POST一个FORM出去.怎么才能做到? 可以用asphttp控件 2.如何避免Index Server搜索到ASP文件?另:IIS 4中文搜索引擎有办法搜索E文吗? 可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4kG6z.html" rel="bookmark" class="title">c&num; 解析xml文件-C&num;解析xml文件的解析类</a>
					<div>
						问题描述 C#解析xml文件的解析类 如何写一个C#类实现以下描述:XML文件的内容: 要求: 解析出这一句话中的CreateActivity,并生成一行字符串: NodeType=CreateAct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60dxWz.html" rel="bookmark" class="title">oracle11g pl sql-PL&sol;SQL连接oracle11g时报出ORA-12545错，怎么解决啊，求帮忙。。。</a>
					<div>
						问题描述 PL/SQL连接oracle11g时报出ORA-12545错,怎么解决啊,求帮忙... 现在我想用PL/SQL连接我的oracle11g,可是一直报ORA-12545,为什么啊,我测试能成功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyDk6z.html" rel="bookmark" class="title">mysql导出数据错误-求大拿帮忙啊，MySql select导出的问题</a>
					<div>
						问题描述 求大拿帮忙啊,MySql select导出的问题 小弟刚学编程,碰见的问题,求大神解答一下啊. 在Mysql用select查询导出的时候用下面的语句 mysql -hlocalhost -u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeolN9M.html" rel="bookmark" class="title">阿里巴巴IPO首日股价大涨，孙正义希望持有阿里巴巴更多股份</a>
					<div>
						北京时间9月22日消息,软银表示,该公司预计从阿里巴巴的IPO(首次公开招股)中获得了约5000亿日元(约合46亿美元)的收益.阿里巴巴在IPO首日的股价上涨了38%. 软银CEO孙正义表示,他希望持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwX0mM.html" rel="bookmark" class="title">进行网络形象管理有利于拓展网络人脉</a>
					<div>
						&quot;线上形象&quot;怎样打造? &quot;当你在遭到网络极端围猎的时候,平时积极交往的网友可能会进行网络支援,并存在转化为线下的实际收益和情感支持的可能.&quot; 名列微博关注度TO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAENxKM.html" rel="bookmark" class="title">&quest; - URLConnection获得数据总不变</a>
					<div>
						问题描述 我用URLConnection连接固定的url,没有使用缓存,然后用输入流获得数据,而且这个url是微博,理应数据每秒都在变,为什么获得数据要好几分钟才更新一次?是程序问题?还是对方api问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW4EPz.html" rel="bookmark" class="title">拉手网CEO吴波离职一事，拉手网回应称传言不属实</a>
					<div>
						吴波将继续全面负责公司战略发展和业务创新.不过,由于该声明中未提及吴波作为拉手网CEO的身份,因此外界猜测吴波已不再担任CEO. 昨天市场传出消息称,由于拉手网迟迟不能上市,拉手网CEO吴波已离职.消 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
